/*!
 * @file FixedFloor.h
 * @brief ゲーム中の固定フロアのプロトタイプ
 * @date 2014/02/02
 * @author Deskull
 * 2013-2014 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

/*!
 * @class FixedFloor
 * @brief 固定フロアのクラス
 */
class FixedFloor : public GameElement
{
private:
public:

	/*! 
	 * @brief FixedFloorクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	FixedFloor::FixedFloor(ID id, TAG tag, GameWorld *gameWorld);

	FixedFloor::FixedFloor(void);	

	FixedFloor::~FixedFloor(void);
};
